# 4.0.0-rc4

## Changes

* Bumped minimum deployment target to 13.0 for all SDK and Plugins
* Bumped `Google Cast SDK`` for iOS to version 4.8.0
* Added `CastlabsVT.xcframework` to the release plugin (3789)
* Added `CastlabsWidevine.xcframework` to the release plugin (3795)
* Fixed DRM system selection for automatic value

# 4.0.0-rc3

## Changes

* Expose `getLiveStartTime` in PlayerViewControllerAPI. (3788)
* Fixed `seekableTimeRanges` returning wrong value. (3785)

# 4.0.0-rc2

## Changes

* Apple TV player, use PlayerAPI instance in TVPlayerViewController. (3536)
* Apple TV player, support analytic plugins. (3536)
* Apple TV player, expose the audio and subtitle track change event and api. (3674)
* Apple TV player, add onError() event and pass error code and message. (3666, 3668)
* Apple TV player, add an option to disable channel skipping in live stream. (3658)
* Fixed player returning incorrect track value. (3772)
* Expose `getLiveStartTime` for live content. (3750)
* Fixed random crash during a seek operation. (3747)
* Fixed player events spam. (3726)

# 4.0.0-rc1

## Changes

* Rewritten CastlabsApple plugin
* Rewritten CastlabsThumbnails plugin
* Rewritten CastlabsSubtitles plugin
* Rewritten CastlabsDownloader plugin
* Rewritten CastlabsChromecast plugin
* Rewritten CastlabsYoubora plugin
* Prepared for React Native integration
* Added Migration Guide from v3 to v4
* Updated examples and demos
* Updated documentation

# 4.0.0-beta20230524

## Changes

* Added track-change flag to PlayerState. (3605)
* Added http status code and uri to error data. (3662)
* Apple TV player, can use system image for action buttons. (3661)
* Support `liveConfiguration.liveEdgeLatencyMs` player configuration in HLS player and TVPlayerViewController. (3584)
* Fixed thumbnails directory is not created on tvOS device. (3676)

# 4.0.0-beta20230420

## Changes

* Apple TV player, added channel flipping protocols. (3597, 3624)
* Apple TV player, removed `eventName` from action info. (3609)
* Apple TV player, added `getCurrentTime()` method. (3618)
* Apple TV player, added `requiresLinearPlayback` option. (3619)
* Apple TV player, fixed playback continues when player closed. (3639)
* Downloader, added HLS media downloader support. (3375)

# 4.0.0-beta20230308

## Changes

* Added seek and playback status events to Apple TV player. (3601)
* Set analytics player name to CastlabsPlayer. (3554)
* Fixed app crashes when the license key is not valid. (3589)
* Fixed not seek accurately to time 00:00. (3567)
* Fixed `contentType:HLS` is not supported in PlayerConfiguration json. (3593)
