//
//  AppDelegate.swift
//  YouboraDemo
//
//

import PRESTOPlay
import CastlabsApple
import CastlabsYoubora
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?)
        -> Bool
    {
        // Override point for customization after application launch.
        // swiftlint: disable line_length
        _ = PRESTOPlaySDK.shared.register(
            "LICENSE",
            [
                HLSPlugin(),
                YouboraPlugin(YouboraSettings(accountCode: "")),
            ])
        // swiftlint: enable line_length
        return true
    }
}
